//
//  PMPermissionView.swift
//  PhoneManager
//
//  Created by edy on 2025/4/29.
//

import UIKit

class PMPermissionView: UIView {

    override func awakeFromNib() {
        super.awakeFromNib()
        
    }
    
    @IBAction func goSetting(_ sender: Any) {
        
        // 跳转到系统设置的相册权限设置页面
        if let settingsUrl = URL(string: UIApplication.openSettingsURLString) {
            if UIApplication.shared.canOpenURL(settingsUrl) {
                UIApplication.shared.open(settingsUrl, completionHandler: { (success) in
                    print("跳转设置页面: \(success)")
                })
            }
        }
    }
}
